Subject: DST switching off too soon
From: [email-masked] (Geoffrey Noer)

13 Oct 1998 09:32:39 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Heinz-Jrgen Oertel <[email-masked]>
Cc: "Peter A. Vogel" <[email-masked]>, [email-masked]

On Thu, Oct 08, 1998 at 06:01:49PM +0200, Heinz-Jrgen Oertel wrote:
[...]
> did you consider  your time zone info ?
> at my box windows says
> 	17:41
> bash(cyg-win32)
> 	907861277
>         Thu Oct 8 16:41:18 1998
> my linux bash:
> 	907861208
> 	Thursday 08 of October 17:40:08 CEST 1998 KW 40
> 
> LINUX knows my time zone info - CEST
> cyg-win bash doesn't.
> 
> i gave it:
> 	date +%s;date
> as you can see, the seconds are the same.
> no idea where the time zone info must be stored,
> somewhere at /etc/..... ?

I looked into this briefly.  Although the code is complex enough
that I probably have missed a bug or two in Cygwin, it looks like
the relevant piece of code is localtime() in winsup/times.cc.
We're calling GetTimeZoneInformation and then using DaylightDate
and StandardDate as reported by MS to do the calculations.
NT knows the correct time, so it probably is our fault somewhere.

Fortunately, this bug will fix itself in a couple of weeks.  :-)

A patch would be welcomed.  I'm in the midst of tracking down more
serious problems...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".